import { StringValue, NumberValue, ColorValue, Literal, AllTokens, Field } from '../tokenizer/tokens';
export declare type Value = StringValue | NumberValue | ColorValue | Literal | FunctionCall | Field;
export interface FunctionCall {
    type: 'FunctionCall';
    name: string;
    arguments: CSSValue[];
}
export interface CSSValue {
    type: 'CSSValue';
    value: Value[];
}
export interface CSSProperty {
    name?: string;
    value: CSSValue[];
    important: boolean;
}
export interface ParseOptions {
    /** Consumes given abbreviation tokens as value */
    value?: boolean;
}
export default function parser(tokens: AllTokens[], options?: ParseOptions): CSSProperty[];
